Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(14)

Issue 2963733002: Use TaskScheduler instead of PostTask in P2PSocketDispatcherHost. (Closed)

Created:
1 year, 8 months ago by Taylor_Brandstetter
Modified:
1 year, 8 months ago
Reviewers:
Sergey Ulanov
CC:
chromium-reviews, jam, darin-cc_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Use TaskScheduler instead of PostTask in P2PSocketDispatcherHost. Using USER_VISIBLE priority, since updating the network list may be needed to establish a WebRTC connection initiated by the user. BUG=chromium:667892 Review-Url: https://codereview.chromium.org/2963733002 Cr-Commit-Position: refs/heads/master@{#483342} Committed: https://chromium.googlesource.com/chromium/src/+/1dc8279c01912b090d276d9257c0407e31279a1d

Patch Set 1 #

Total comments: 2

Patch Set 2 : Move TaskRunner creation to .cc file. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+14 lines, -9 lines) Patch
M content/browser/renderer_host/p2p/socket_dispatcher_host.h View 1 2 chunks +5 lines, -0 lines 0 comments Download
M content/browser/renderer_host/p2p/socket_dispatcher_host.cc View 1 5 chunks +9 lines, -9 lines 0 comments Download

Messages

Total messages: 10 (5 generated)
Taylor_Brandstetter
PTAL
1 year, 8 months ago (2017-06-28 09:47:56 UTC) #2
Sergey Ulanov
LGTM after my comment is addressed. https://codereview.chromium.org/2963733002/diff/1/content/browser/renderer_host/p2p/socket_dispatcher_host.h File content/browser/renderer_host/p2p/socket_dispatcher_host.h (right): https://codereview.chromium.org/2963733002/diff/1/content/browser/renderer_host/p2p/socket_dispatcher_host.h#newcode133 content/browser/renderer_host/p2p/socket_dispatcher_host.h:133: base::CreateSequencedTaskRunnerWithTraits( It's better ...
1 year, 8 months ago (2017-06-28 17:40:07 UTC) #3
Taylor_Brandstetter
https://codereview.chromium.org/2963733002/diff/1/content/browser/renderer_host/p2p/socket_dispatcher_host.h File content/browser/renderer_host/p2p/socket_dispatcher_host.h (right): https://codereview.chromium.org/2963733002/diff/1/content/browser/renderer_host/p2p/socket_dispatcher_host.h#newcode133 content/browser/renderer_host/p2p/socket_dispatcher_host.h:133: base::CreateSequencedTaskRunnerWithTraits( On 2017/06/28 17:40:07, Sergey Ulanov wrote: > It's ...
1 year, 8 months ago (2017-06-29 11:58:07 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2963733002/20001
1 year, 8 months ago (2017-06-29 11:58:25 UTC) #7
commit-bot: I haz the power
1 year, 8 months ago (2017-06-29 13:07:25 UTC) #10
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/1dc8279c01912b090d276d9257c0...

Powered by Google App Engine
This is Rietveld 408576698